Subject: gentiana germination

From: [email-masked] (Joe Gray)
Date: 20 Feb 1995 14:25:04 GMT

I have tried for the last several years to grow Gentiana from 
seed and have not been able to get it to germinate. I have
some seed, which I believe to be fresh and which I have had
in the fridge for two months. The seed is G. angustifolia and
G. asclepiadea.  In the past I have started gentiana in peat pots 
with a soiless mix.  They are kept moist with a cover lid to keep 
the humidity up. Has anyone been able to get Gentiana to grow from 
seed?  Is there any special steps that need to be followed?

Joe Gray
[email-masked]